View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001123aMuleSearchpublic2007-06-11 23:022007-06-20 20:27
Assigned ToKry 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0001123: No kad sources are ever found/used on Ubuntu
DescriptionEven if a kad search returns many results, NO sources are added from kad. The only sources added are those from server searches.

I'm using ubuntu 7.04, the problem is present in the CVS snapshot (I used 20070606).
I added some more traces around the code, and found that the method CFileDataIO::ReadTag does not properly fill the name property of the returned tag object.
The ReadString call inside this method does not convert the name to unicode. Name is tipically a 1char string, where the char is something like 0xFF / 0xFE, not a human readable "name".

I used this very dumb and broken code as a workaround, I'm sure that you can do better than this:

// name = ReadString(false);
            uint32 len = ReadUInt16();
            unsigned char val[len + 1];
            val[len] = 0;

            Read( (void*)val, len );
            printf("Tag len: %d Buf: %s\n", len, val );
            name= wxT("X");
            name[0]= val[0];

With this change, aMule CVS snapshot works like a charm.

( See [^] )
TagsNo tags attached.
Fixed in Revision
Operating SystemLinux, Ubuntu 7.04
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2007-06-11 23:02 Gnucco New Issue
2007-06-11 23:02 Gnucco Operating System => Linux, Ubuntu 7.04
2007-06-17 19:45 Wuischke Status new => assigned
2007-06-17 19:45 Wuischke Assigned To => phoenix
2007-06-20 20:27 Wuischke Assigned To phoenix => Kry
2007-06-20 20:27 Wuischke Status assigned => resolved
2007-06-20 20:27 Wuischke Fixed in Version => SVN
2007-06-20 20:27 Wuischke Resolution open => fixed

Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker